#include <iostream>
#include <fstream>

using namespace std;

int volt[22];
int vi = 22;

int MaxSzam = -1;
int MaxErosseg = -1;

bool voltE(int n)
{
    for(int i = 0; i < vi; ++i)
        if(n == volt[i]) return true;
    return false;
}

int sortCsokkeno(int n)
{
    if (n < 10) return n;
    int d1 = n % 10;
    n = sortCsokkeno(n / 10);
    int d2 = n % 10;
    return d1 <= d2 ? n * 10 + d1 : sortCsokkeno(n - d2 + d1) * 10 + d2;
}

int sortNovekvo(int n)
{
    if (n < 10) return n;
    int d1 = n % 10;
    n = sortNovekvo(n / 10);
    int d2 = n % 10;
    return d1 >= d2 ? n * 10 + d1 : sortNovekvo(n - d2 + d1) * 10 + d2;
}

int Tavolsag(int elozo)
{
    int sz = 0;
    bool v = voltE(elozo);
    while(!v)
    {
        int a = sortCsokkeno(elozo);
        int b = sortNovekvo(elozo);
        int mostani = a - b;
        v = voltE(elozo);
        elozo = mostani;
        ++sz;
    }
    return sz;
}

int main()
{
  // 1, 2
  volt[0] = 0;
  // 3
  volt[1] = 495;
  // 4
  volt[2] = 6174;
  // 5.1
  volt[3] = 82962;
  volt[4] = 75933;
  volt[5] = 63954;
  volt[6] = 61974;
  // 5.2
  volt[7] = 62964;
  volt[8] = 71973;
  volt[9] = 83952;
  volt[10] = 74943;
  // 5.3
  volt[11] = 53955;
  volt[12] = 59994;
  // 6.1
  volt[13] = 851742;
  volt[14] = 750843;
  volt[15] = 840852;
  volt[16] = 860832;
  volt[17] = 862632;
  volt[18] = 642654;
  volt[19] = 420876;
  // 6.2
  volt[20] = 549945;
  // 6.3
  volt[21] = 631764;

  int sz;
  ifstream infile("k8.in");
  ofstream offile("k8.out");
  while (infile >> sz)
  {
      int erosseg = Tavolsag(sz);
      if(erosseg > MaxErosseg)
      {
          MaxErosseg = erosseg;
          MaxSzam = sz;
      }
  }
  offile<<MaxSzam<<" "<<MaxErosseg<<endl;
  infile.close();
  offile.close();
  return 0;
}
